Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

List subscribers of a membership plan

Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.

GET/membership-plans/{id}/subscribers
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Path parameters
idstringrequired
Query parameters
statusstring

PENDING|ACTIVE|EXPIRED|CANCELLED|PAUSED

Allowed:PENDINGACTIVEEXPIREDCANCELLEDPAUSED
limitinteger

1-100, default 20

default: 20
cursorstring
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataSubscriber[]required
Show properties
Array of Subscriber
idstringrequired
customerNamestring | nullrequired
Show properties
Any of:
string
string
null
null
customerEmailstringrequired
statusstringrequired
Allowed:PENDINGACTIVEEXPIREDCANCELLEDPAUSED
startedAtstring | nullrequired
Show properties
Any of:
string
string
null
null
currentPeriodEndstring | nullrequired
Show properties
Any of:
string
string
null
null
pagePagerequired
Show properties
nextCursorstring | nullrequired
Show properties
Any of:
string
string
null
null
hasMorebooleanrequired
totalinteger
min -9007199254740991 · max 9007199254740991
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/membership-plans/string/subscribers' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "id": "string",
      "customerName": "string",
      "customerEmail": "string",
      "status": "PENDING",
      "startedAt": "string",
      "currentPeriodEnd": "string"
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true,
    "total": -9007199254740991
  }
}